Page MenuHomePhabricator

task-series broken because of error: invalid type "custom.release.date"
Closed, ResolvedPublicApr 12 2019

Description

1vagrant@contrib-stretch:~/src/wmf/release$ scap task-series blockers --count 26 --date 2019-04-15 1.34.0-wmf.1
21.34.0-wmf.1 : 2019-04-15 00:00:00, 1555286400
320:23:11 Unhandled error:
4Traceback (most recent call last):
5 File "/vagrant/scap/scap/cli.py", line 327, in run
6 exit_status = method(app, app.extra_arguments)
7 File "/home/vagrant/src/wmf/release/scap/plugins/task-series.py", line 152, in blockers
8 var_dump(phab.maniphest.edit(transactions=trns))
9 File "/home/vagrant/.local/lib/python2.7/site-packages/phabricator/__init__.py", line 248, in __call__
10 return self._request(**kwargs)
11 File "/home/vagrant/.local/lib/python2.7/site-packages/phabricator/__init__.py", line 323, in _request
12 data = self._parse_response(response)
13 File "/home/vagrant/.local/lib/python2.7/site-packages/phabricator/__init__.py", line 333, in _parse_response
14 raise APIError(parsed['error_code'], parsed['error_info'])
15APIError: ERR-CONDUIT-CORE: Transaction with key "3" has invalid type "custom.release.date". This type is not recognized. Valid types are: parent, column, space, title, owner, status, priority, points, description, parents.add, parents.remove, parents.set, subtasks.add, subtasks.remove, subtasks.set, view, edit, projects.add, projects.remove, projects.set, subscribers.add, subscribers.remove, subscribers.set, custom.release.version, custom.security_topic, custom.risk.summary, custom.risk.impacted, custom.risk.rating, subtype, comment, mfa.
1620:23:11 task-series failed: <APIError> ERR-CONDUIT-CORE: Transaction with key "3" has invalid type "custom.release.date". This type is not recognized. Valid types are: parent, column, space, title, owner, status, priority, points, description, parents.add, parents.remove, parents.set, subtasks.add, subtasks.remove, subtasks.set, view, edit, projects.add, projects.remove, projects.set, subscribers.add, subscribers.remove, subscribers.set, custom.release.version, custom.security_topic, custom.risk.summary, custom.risk.impacted, custom.risk.rating, subtype, comment, mfa.

Details

Due Date
Apr 12 2019, 7:00 AM

Related Objects

Event Timeline

mmodell created this task.Mar 25 2019, 5:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2019, 5:39 PM
mmodell claimed this task.Mar 25 2019, 5:39 PM
mmodell triaged this task as High priority.Mar 25 2019, 5:39 PM
greg set Due Date to Apr 12 2019, 7:00 AM.Apr 3 2019, 4:30 AM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptApr 3 2019, 4:31 AM
mmodell closed this task as Resolved.Apr 11 2019, 6:25 PM